Bug 880076 - man-pages-fr missing License tags
man-pages-fr missing License tags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: man-pages-fr (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 02:46 EST by Jens Petersen
Modified: 2013-03-02 14:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-02 14:59:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-11-26 02:46:56 EST
Description of problem:
I tried to do a quick audit of the man-pages-fr license.
man-pages-fr contains 945 manpages in common with man-pages,
315 coming from other packages, and 64 pages which might
not currently be in Fedora in English.

Therefore since man-pages-fr is a derivative work based
on various packages I think it needs to inherit their
license tags...

Version-Release number of selected component (if applicable):
man-pages-fr-3.44-1

Steps to Reproduce:
1. rpm -q --qf "%{name}: %{license}\n" man-pages
2. rpm -q --qf "%{name}: %{license}\n" man-pages-fr
3. 
$ cd /usr/share/man/fr
$ for i in */*; do rpm -qf --qf "%{name}: %{license}\n" /usr/share/man/$i 2>/dev/null ; done | sort | uniq

4.
$ for i in */*; do rpm -qf --qf "%{license}\n" /usr/share/man/$i 2>/dev/null ; done | sort | uniq
  
Actual results:
1. man-pages: GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE
2. man-pages-fr: GPL+
4.
BSD
BSD and GPLv2+
GPL+
GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE
GPLv2
GPLv2 and GPLv2+
GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+ and BSD with advertising and Public Domain
GPLv2+
GPLv2+ and ISC
GPLv2+ and LGPLv2+
GPLv3+
GPLv3+ and GFDL
LGPLv2+
LGPLv2+ and MIT and GPLv2+
LGPLv3+
MIT
MIT and BSD and ISC and GPLv2
MIT and GPLv2 and GPLv2+ and BSD

(Note not all those licenses necessarily apply to their manpages.)

Expected results:
2. man-pages-fr should have similar license tags to man-pages

Recommendation

Change license tag from GPL+ to the one of man-pages

GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE

Additionally tweaks may be needed after full audit.
Upstream should really track this information carefully.
Comment 1 Jens Petersen 2012-11-26 02:52:00 EST
This is the output from 3:

at: GPLv2+ and ISC
bash: GPLv3+
coreutils: GPLv3+
createrepo: GPLv2
cronie: MIT and BSD and ISC and GPLv2
deja-dup: GPLv3+
diffutils: GPLv3+
docbook-utils-pdf: GPL+
docbook-utils: GPLv2+
grep: GPLv3+
gzip: GPLv3+ and GFDL
hostname: GPLv2+
initscripts: GPLv2 and GPLv2+
kmod: GPLv2+
libattr-devel: LGPLv2+
libnfsidmap: BSD
man-pages: GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE
nano: GPLv3+
nfs-utils: MIT and GPLv2 and GPLv2+ and BSD
openjade: BSD
opensp: MIT
pciutils: GPLv2+
po4a: GPL+
procps-ng: GPLv2+ and LGPLv2+
psmisc: GPLv2+
quota: BSD and GPLv2+
rp-pppoe: GPLv2+
rpm: GPLv2+
sed: GPLv3+
sgml-common: GPL+
shadow-utils: BSD and GPLv2+
sssd-client: LGPLv3+
sssd: GPLv3+
stunnel: GPLv2
switchdesk: GPLv2+
system-config-date: GPLv2+
systemd: LGPLv2+ and MIT and GPLv2+
sysvinit-tools: GPLv2+
telnet-server: BSD
usbutils: GPLv2+
util-linux: GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+ and BSD with advertising and Public Domain
yp-tools: GPLv2
yum-plugin-verify: GPLv2+
yum-updatesd: GPLv2
yum-utils: GPLv2+
yum: GPLv2+
Comment 2 Jens Petersen 2012-11-26 02:54:40 EST
(This also applies to man-pages-es and man-pages-it - and I guess probably
all man-pages-*.)
Comment 3 Jens Petersen 2012-11-26 03:18:57 EST
Slight correct - above results include a few good guys (false positives):
meaning packages which actually ship with one or more French manpages.(In reply to comment #0)

> I tried to do a quick audit of the man-pages-fr license.
> man-pages-fr contains 945 manpages in common with man-pages,
> 315 coming from other packages, and 64 pages which might
> not currently be in Fedora in English.

The numbers are now: 945, 238, 63 respectively.

(4) now becomes:

BSD
BSD and GPLv2+
GPL+
GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE
GPLv2
GPLv2 and GPLv2+
GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+ and BSD with advertising and Public Domain
GPLv2+
GPLv2+ and ISC
GPLv2+ and LGPLv2+
GPLv3+
GPLv3+ and GFDL
LGPLv2+
LGPLv2+ and MIT and GPLv2+
MIT
MIT and BSD and ISC and GPLv2
MIT and GPLv2 and GPLv2+ and BSD


and (3):

at: GPLv2+ and ISC
bash: GPLv3+
coreutils: GPLv3+
createrepo: GPLv2
cronie: MIT and BSD and ISC and GPLv2
diffutils: GPLv3+
docbook-utils-pdf: GPL+
docbook-utils: GPLv2+
grep: GPLv3+
gzip: GPLv3+ and GFDL
initscripts: GPLv2 and GPLv2+
kmod: GPLv2+
libattr-devel: LGPLv2+
libnfsidmap: BSD
man-pages: GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE
nfs-utils: MIT and GPLv2 and GPLv2+ and BSD
openjade: BSD
opensp: MIT
pciutils: GPLv2+
procps-ng: GPLv2+ and LGPLv2+
psmisc: GPLv2+
quota: BSD and GPLv2+
rp-pppoe: GPLv2+
sed: GPLv3+
sgml-common: GPL+
switchdesk: GPLv2+
systemd: LGPLv2+ and MIT and GPLv2+
sysvinit-tools: GPLv2+
telnet-server: BSD
usbutils: GPLv2+
util-linux: GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+ and BSD with advertising and Public Domain
yp-tools: GPLv2
yum-plugin-verify: GPLv2+
yum-updatesd: GPLv2
yum-utils: GPLv2+
yum: GPLv2+
Comment 4 Fedora Update System 2012-11-26 03:43:12 EST
man-pages-fr-3.44-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-18705/man-pages-fr-3.44-2.fc18
Comment 5 Fedora Update System 2012-11-27 04:45:21 EST
Package man-pages-fr-3.44-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-pages-fr-3.44-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18705/man-pages-fr-3.44-2.fc18
then log in and leave karma (feedback).
Comment 6 Jens Petersen 2013-01-27 22:03:47 EST
Spot pointed out that just blankly inheriting all the licenses from
man-pages is not correct - only licenses listed in the translated
pages should be listed.
Comment 7 Fedora Update System 2013-02-07 01:43:44 EST
man-pages-fr-3.45-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/man-pages-fr-3.45-1.fc18
Comment 8 Fedora Update System 2013-02-08 12:05:09 EST
Package man-pages-fr-3.45-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-pages-fr-3.45-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2155/man-pages-fr-3.45-1.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-02-21 12:44:45 EST
man-pages-fr-3.45-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/man-pages-fr-3.45-2.fc18
Comment 10 Fedora Update System 2013-03-02 14:59:48 EST
man-pages-fr-3.45-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.